Z3 |

Data Structures | Public Member Functions
Params Class Reference

A Params objects represents a configuration in the form of Symbol/value pairs. More...

Inheritance diagram for Params:

## Data Structures
class | DecRefQueue

## Public Member Functions
Params | Add (Symbol name, bool value)
| Adds a parameter setting. More...
Params | Add (Symbol name, uint value)
| Adds a parameter setting. More...
Params | Add (Symbol name, double value)
| Adds a parameter setting. More...
Params | Add (Symbol name, string value)
| Adds a parameter setting. More...
Params | Add (Symbol name, Symbol value)
| Adds a parameter setting. More...
Params | Add (string name, bool value)
| Adds a parameter setting. More...
Params | Add (string name, uint value)
| Adds a parameter setting. More...
Params | Add (string name, double value)
| Adds a parameter setting. More...
Params | Add (string name, Symbol value)
| Adds a parameter setting. More...
Params | Add (string name, string value)
| Adds a parameter setting. More...
override string | ToString ()
| A string representation of the parameter set. More...
Public Member Functions inherited from Z3Object
void | Dispose ()
| Disposes of the underlying native Z3 object. More...

## Detailed Description

A Params objects represents a configuration in the form of Symbol/value pairs.

Definition at line 28 of file Params.cs.

## Member Function Documentation

## ◆ Add() [1/10]

Params Add | ( | string | name,
|  | bool | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 90 of file Params.cs.

91 {
92 Native.Z3_params_set_bool(Context.nCtx, NativeObject, Context.MkSymbol(name).NativeObject, (byte)(value ? 1 : 0));
93 return this;
94 }
Microsoft.Z3.Context.MkSymbol
IntSymbol MkSymbol(int i)
Creates a new symbol using an integer.
Definition: Context.cs:90

## ◆ Add() [2/10]

Params Add | ( | string | name,
|  | double | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 108 of file Params.cs.

109 {
110 Native.Z3_params_set_double(Context.nCtx, NativeObject, Context.MkSymbol(name).NativeObject, value);
111 return this;
112 }

## ◆ Add() [3/10]

Params Add | ( | string | name,
|  | string | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 128 of file Params.cs.

129 {
130 Debug.Assert(name != null);
131 Debug.Assert(value != null);
132
133 Native.Z3_params_set_symbol(Context.nCtx, NativeObject, Context.MkSymbol(name).NativeObject, Context.MkSymbol(value).NativeObject);
134 return this;
135 }

## ◆ Add() [4/10]

Params Add | ( | string | name,
|  | Symbol | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 117 of file Params.cs.

118 {
119 Debug.Assert(value != null);
120
121 Native.Z3_params_set_symbol(Context.nCtx, NativeObject, Context.MkSymbol(name).NativeObject, value.NativeObject);
122 return this;
123 }

## ◆ Add() [5/10]

Params Add | ( | string | name,
|  | uint | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 99 of file Params.cs.

100 {
101 Native.Z3_params_set_uint(Context.nCtx, NativeObject, Context.MkSymbol(name).NativeObject, value);
102 return this;
103 }

## ◆ Add() [6/10]

Params Add | ( | Symbol | name,
|  | bool | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 33 of file Params.cs.

34 {
35 Debug.Assert(name != null);
36
37 Native.Z3_params_set_bool(Context.nCtx, NativeObject, name.NativeObject, (byte)(value ? 1 : 0));
38 return this;
39 }

Referenced by Optimize.Set(), and Solver.Set().

## ◆ Add() [7/10]

Params Add | ( | Symbol | name,
|  | double | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 55 of file Params.cs.

56 {
57 Debug.Assert(name != null);
58
59 Native.Z3_params_set_double(Context.nCtx, NativeObject, name.NativeObject, value);
60 return this;
61 }

## ◆ Add() [8/10]

Params Add | ( | Symbol | name,
|  | string | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 66 of file Params.cs.

67 {
68 Debug.Assert(value != null);
69
70 Native.Z3_params_set_symbol(Context.nCtx, NativeObject, name.NativeObject, Context.MkSymbol(value).NativeObject);
71 return this;
72 }

## ◆ Add() [9/10]

Params Add | ( | Symbol | name,
|  | Symbol | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 77 of file Params.cs.

78 {
79 Debug.Assert(name != null);
80 Debug.Assert(value != null);
81
82 Native.Z3_params_set_symbol(Context.nCtx, NativeObject, name.NativeObject, value.NativeObject);
83 return this;
84 }

## ◆ Add() [10/10]

Params Add | ( | Symbol | name,
|  | uint | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 44 of file Params.cs.

45 {
46 Debug.Assert(name != null);
47
48 Native.Z3_params_set_uint(Context.nCtx, NativeObject, name.NativeObject, value);
49 return this;
50 }

## ◆ ToString()

override string ToString | ( |  | ) |
| inline

A string representation of the parameter set.

Definition at line 140 of file Params.cs.

141 {
142 return Native.Z3_params_to_string(Context.nCtx, NativeObject);
143 }